Auth0 Home Blog Docs

React developer tool show outdated version when use "auth0-lock"

I have a problem with “auth0-lock”. My customer need React developer tool show " This page is using the production build of React" but when I use " auth0-lock" It’s show " This page is using an outdated version of React." I can’t find any solution for this problem.

Hey there @cvphat4796!

I’m not a React developer so please have that in mind. Will do my best to help you but let me ask you some questions first:

  • What do you mean by React developer tool?
  • Can you share here the link to the Lock repo that you are using?

Thank you!

Hey there!

Have you had a chance to see my previous message?